Skip to main content
POST
/
api
/
pricing
/
batches
/
{key}
/
add-proposals
Add Proposals To Batch
curl --request POST \
  --url https://api.merchantops.ai/api/pricing/batches/{key}/add-proposals \
  --header 'Content-Type: application/json' \
  --data '
{
  "proposal_keys": [
    "<string>"
  ],
  "excluded_variants": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

key
string
required

Cookies

stytch_session
string | null

Body

application/json

Request body for adding proposals to a batch.

proposal_keys
string[]
required

List of proposal keys to add

excluded_variants
Excluded Variants · object

Optional map of proposal_key → variant_keys to exclude from style-color fan-out

Response

Successful Response